package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDoctorProduct;

/**
 * 医生常用商品Service接口
 * 
 * @author fs
 * @date 2023-08-08
 */
public interface IFsDoctorProductService 
{
    /**
     * 查询医生常用商品
     * 
     * @param id 医生常用商品主键
     * @return 医生常用商品
     */
    public FsDoctorProduct selectFsDoctorProductById(Long id);

    /**
     * 查询医生常用商品列表
     * 
     * @param fsDoctorProduct 医生常用商品
     * @return 医生常用商品集合
     */
    public List<FsDoctorProduct> selectFsDoctorProductList(FsDoctorProduct fsDoctorProduct);

    /**
     * 新增医生常用商品
     * 
     * @param fsDoctorProduct 医生常用商品
     * @return 结果
     */
    public int insertFsDoctorProduct(FsDoctorProduct fsDoctorProduct);

    /**
     * 修改医生常用商品
     * 
     * @param fsDoctorProduct 医生常用商品
     * @return 结果
     */
    public int updateFsDoctorProduct(FsDoctorProduct fsDoctorProduct);

    /**
     * 批量删除医生常用商品
     * 
     * @param ids 需要删除的医生常用商品主键集合
     * @return 结果
     */
    public int deleteFsDoctorProductByIds(Long[] ids);

    /**
     * 删除医生常用商品信息
     * 
     * @param id 医生常用商品主键
     * @return 结果
     */
    public int deleteFsDoctorProductById(Long id);
}
